Update organization member role
curl --request PATCH \
--url https://api.planetscale.com/v1/organizations/{organization}/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>"
}
'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/members/{id}"
payload = { "role": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: '<string>'})
};
fetch('https://api.planetscale.com/v1/organizations/{organization}/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"name": "<string>",
"email": "<string>",
"avatar_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"two_factor_auth_configured": true,
"default_organization": {
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"sso": true,
"managed": true,
"directory_managed": true,
"email_verified": true
},
"role": "member",
"created_at": "<string>",
"updated_at": "<string>"
}Organization members
Update organization member role
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_organization
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | write_organization |
PATCH
/
organizations
/
{organization}
/
members
/
{id}
Update organization member role
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization
The ID of the user
Body
application/json
The role to assign to the member (e.g., 'admin', 'member'). Note: Cannot update your own role. Roles managed by IdP cannot be updated via API.
Response
Returns the updated membership
⌘I

